Package org.eclipse.m2m.atl.engine.asm

# Class ASM

java.lang.Object
org.eclipse.m2m.atl.engine.asm.ASM

public class ASM extends Object
This class represents a transformation module, which can have fields.

## Constructor Summary

Constructors
Constructor
Description
`ASM()`
Creates a new ASM.
`ASM(String name)`
Creates a new ASM with the given name.

## Method Summary

Modifier and Type
Method
Description
`void`
`addField(ASMField f)`
Add a field.
`void`
`addOperation(ASMOperation o)`
Add an operation.
`ASMField`
`getField(String fieldName)`
Returns the existing field with the given name.
`List`
`getFields()`
`String`
`getName()`
`ASMOperation`
`getOperation(String operationName)`
Returns the existing operation with the given name.
`List`
`getOperations()`
`String`
`getVersion()`
`void`
`setName(String name)`
`void`
`setVersion(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ASM

public ASM()
Creates a new ASM.

### ASM

public ASM(String name)
Creates a new ASM with the given name.

Parameters:
  `name` - the ASM name

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### addField

public void addField(ASMField f)
Add a field.

Parameters:
  `f` - the field

### getField

public ASMField getField(String fieldName)
Returns the existing field with the given name.

Parameters:
  `fieldName` - the given name
Returns:
  the field

### getFields

public List getFields()

### addOperation

public void addOperation(ASMOperation o)
Add an operation.

Parameters:
  `o` - the operation

### getOperation

public ASMOperation getOperation(String operationName)
Returns the existing operation with the given name.

Parameters:
  `operationName` - the given name
Returns:
  the operation

### getOperations

public List getOperations()

### setVersion

public void setVersion(String version)

### getVersion

public String getVersion()